import axios from '@/utils/request'

export function saveCode(query) {
  return axios({
    url: "/warehouse/inout/saveTempCode",
    method: "post",
    data: query
  });
}

export function tabCode(query) {
  return axios({
    url: "/warehouse/inout/saveTabCode",
    method: "post",
    data: query
  });
}

export function getCodeLost(query) {
  return axios({
    url: "/warehouse/inout/getCodeLost",
    method: "post",
    data: query
  });
}

export function updateCodeLost(query) {
  return axios({
    url: "/warehouse/inout/updateCodeLost",
    method: "post",
    data: query
  });
}



export function findByCode(query) {
  return axios(
    {
      url: "/udiwms/basic/findByCode",
      method: "get",
      params: query
    }
  );
}

export function getCodeList(params) {
  return axios({
    url: "/udiwms/inout/code/filterList",
    method: "get",
    params: params
  });
}

export function findByOrderId(params) {
  return axios({
    url: "/udiwms/inout/code/findByOrderId",
    method: "get",
    params: params
  });
}

export function getCodeListForEdit(params){
  return axios({
    url: "/udiwms/inout/code/getCodeListForEdit",
    method: "get",
    params: params
  });
}

export function checkTempCode(query) {
    return axios({
        url: "warehouse/inout/checkTempCode",
        method: "post",
        data: query
    });
}


